#!/bin/sh

LANG=C

date

#. /home/user/server/files/param.sh
. ./param.sh

################################################################
# Ready for SECCON2017

mkdir -p $homedir
mkdir -p $serverdir

rm -fR $serverdir/cross-gcc494
rm -fR $serverdir/simple-inetd
rm -fR $serverdir/timer-exec
rm -fR $serverdir/cross-gdb
rm -fR $serverdir/files

cp -R ../cross-gcc494 $serverdir
cp -R ../simple-inetd $serverdir
cp -R ../timer-exec   $serverdir
cp -R ../cross-gdb    $serverdir
cp -R ../files        $serverdir

rm -fR $homedir/answer
cp -R ../answer $homedir

cp ../README.txt $homedir

echo "SECCON{SOPIsStepOrientedProg}" > $homedir/word.txt

################################################################
# Cleaning

cd $homedir

rm -fR cross-gcc494
rm -fR simple-inetd
rm -fR timer-exec
rm -fR cross-gdb
rm -fR $toolsdir

################################################################
# Make directory

cd $homedir

mkdir -p $archivedir
mkdir -p $toolsdir
mkdir -p $gdbdir

################################################################
# Download tools

cd $homedir

if [ ! -f $archivedir/gdb-7.12.1.tar.gz ]; then
    cd $archivedir ; wget -nd http://www2.kozos.jp/tools/cross-gcc494/gdb-7.12.1.tar.gz
#    cd $archivedir ; wget -nd http://www2.kozos.jp/tools/gdb-7.12.tar.gz
fi
if [ ! -f $archivedir/cross-gcc494-v1.0.zip ]; then
    cd $archivedir ; wget -nd http://kozos.jp/books/asm/cross-gcc494-v1.0.zip
fi
if [ ! -f $archivedir/pkttools-1.16.zip ]; then
    cd $archivedir ; wget -nd http://kozos.jp/software/pkttools-1.16.zip
fi

################################################################
# Build tools

cd $homedir

cp -R $serverdir/cross-gcc494 $homedir

cp -R $serverdir/simple-inetd $homedir
cp -R $serverdir/timer-exec   $homedir
cd $homedir/simple-inetd ; make clean ; make
cd $homedir/timer-exec   ; make clean ; make

################################################################
# Build GDB

cd $homedir

cp -R $serverdir/cross-gdb $homedir

if [ -f $archivedir/gdb-7.12.1.tar.gz ]; then
    mkdir -p $homedir/cross-gdb/toolchain/orig
    cp $archivedir/gdb-7.12.1.tar.gz $homedir/cross-gdb/toolchain/orig
fi

# Setup

cd $homedir/cross-gdb/toolchain ; ./fetch.sh ; ./setup.sh

# Build

#cd $homedir/cross-gdb/build ; ./build-install-clean-all.sh
#cd $homedir/cross-gdb/build ; LDFLAGS=-static ./build-install-all.sh \
#	msp430-elf
cd $homedir/cross-gdb/build ; ./build-install-all.sh \
	msp430-elf
#	bfin-elf

################################################################
# Shutdown

date

#sudo shutdown -h now
